hack4glarus-2019-winter - Task #7366

Finish the first levels of the ungleich-game
11/29/2019 11:53 AM - Nico Schottelius

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Den lvanov % Done:
Category: Estimated time:

Target version:
PM Check date:

11/29/2019

90%
0.00 hour

Description

¢ Probably for Marc & Den
The story:...

e smallest network: /64 -> 64 bit
e there is a (web)server

step 1

* my name is nico and my network is 2a0a:e5c1:137::/64
¢ Hello, please prove that this is your network by setting up the ip address
o random ip in the network
o 64 bit random number
o network + number = IP
¢ Hey server, | have it setup now
¢ -> the server tries to ping me
o yes->| get the next step
o no-> | get an error message

step 2

¢ Setup a webserver on your IPv6 address

o "curl http://[...]" (Linux)

e Server checks if a webserver is reachable on the ip

History

#1 - 11/29/2019 04:31 PM - Den Ivanov

Nico Schottelius wrote:

e Probably for Marc & Den

Den's here. | think | can work more on the task. At least I've got smth working :D

#2 - 11/29/2019 04:32 PM - Den Ivanov

- Assignee set to Den lvanov

#3 - 11/29/2019 06:23 PM - Nico Schottelius

- Description updated

#4 - 11/29/2019 06:24 PM - Nico Schottelius

Hints:

e you have an IPv6 address on your computer
¢ if you let nico know the address, we can route a /64
#5 - 11/30/2019 06:13 PM - Den Ivanov
- Status changed from New to In Progress

- % Done changed from 0 to 40

#6 - 11/30/2019 07:15 PM - Den Ivanov

What's done for now in porting to ETCD-3:

1) Information about the game

2) Registration of the new user with his IP and date
3) Checking if user registered, it returns user IP

#7 - 12/01/2019 02:26 AM - Den lvanov
- % Done changed from 40 to 70

Working for now with ETCD-3 and wrapper:

1) Information about the game: ("curl ip/index")

Registration of the new user with his IP and date: ("curl -X POST -d user=sxiii ip/register")

Checking if user registered, it returns user IP (re-run previous command again)

Challenges listing ("curl ip/challenge")

RegisterNet challenge ("curl -X POST -d user=sxiii -d 'network=2a0a:e5c0:101::/64" ip/challenge/RegisterNet")
Checking if challenge already done; it returns error (re-run prev. command)
What needs further work: IPv6Address challenge; POINTS; listing multiple records

#8 - 12/01/2019 03:03 AM - Den lvanov
- % Done changed from 70 to 80

Points now also work.

#9 - 12/01/2019 03:34 AM - Den lvanov
- File gameserver.py added

- % Done changed from 80 to 90

7) Getting points for user: **" curl -X POST -d user=sxiii ip/points **
8) Challenge IPv6Address (checking if IP is pingable): *** curl -X POST -d user=sxiii ip/challenge/IPv6Address ™"

So, Step 1 = 90% completed. The only thing not working now is multiple users points listing.

#10 - 12/03/2019 11:00 PM - Den Ivanov
- File gameserver.py added

- File test_game.sh added
Files

#11 - 01/02/2024 12:35 PM - Nico Schottelius

- Status changed from In Progress to Closed

Files

gameserver.py 10.1 KB 12/01/2019 Den Ivanov

gameserver.py 10.1 KB 12/03/2019 Den Ivanov

test_game.sh 2.14 KB 12/03/2019 Den Ivanov
